%define name		libraw1394
%define version		0.9.0
%define release 6

Summary: Library providing low-level IEEE-1394 access
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Applications/Multimedia
Source: http://download.sourceforge.net/libraw1394/libraw1394_0.9.0.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
The libraw1394 library provides direct access to the
IEEE-1394 bus through the Linux 1394 subsystem's raw1394 user space
interface.

%package devel
Summary: Development libs for libraw1394
Group: Development/Libraries

%description devel
Development libraries needed to build applications against libraw1394.

%prep
%setup

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING INSTALL README
%doc /usr/share/man/man1/testlibraw.1.gz
/usr/bin/testlibraw
/usr/lib/libraw1394.so.5.0.0

%files devel
%defattr(-,root,root)
/usr/include/libraw1394
/usr/lib/libraw1394.a
/usr/lib/libraw1394.la
/usr/lib/libraw1394.so
/usr/share/aclocal/libraw1394.m4
%doc doc/libraw1394.ps
%doc doc/libraw1394


%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Michael Fulbright <msf@redhat.com>
- fixed up %files list for devel subpackage and included api docs

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

